Index: SPECS/libtool.spec
===================================================================
--- SPECS.orig/libtool.spec
+++ SPECS/libtool.spec
@@ -3,7 +3,7 @@
 Summary:	The GNU Portable Library Tool
 Name:		libtool
 Version:	%{upstream_version}
-Release:  	6.1
+Release:  	6.1.fa1
 License:	GPL
 Group:		Development/Tools
 Source:		http://ftp.gnu.org/gnu/libtool/libtool-%{upstream_version}.tar.gz
@@ -19,7 +19,10 @@ Patch3:		libtool-1.5.22-anygcc.patch
 PreReq:		/sbin/install-info
 BuildRequires:	autoconf >= 2.59, automake >= 1.9.2, texinfo
 # make sure we can configure all supported langs
-BuildRequires:	gcc, gcc-c++, libstdc++-devel, gcc-gfortran, gcc-java
+BuildRequires:	gcc, gcc-c++, libstdc++-devel
+%ifnarch %{arm}
+BuildRequires:	gcc-gfortran, gcc-java
+%endif
 # /usr/bin/libtool includes paths within gcc's versioned directories
 # Libtool must be rebuilt whenever a new upstream gcc is built
 Requires:	autoconf >= 2.50, automake >= 1.4
@@ -85,7 +88,9 @@ Static libraries and header files for de
 
 export CC=gcc
 export CXX=g++
+%ifnarch %{arm}
 export F77=gfortran
+%endif
 export CFLAGS="$RPM_OPT_FLAGS -fPIC"
 %configure
 make
